QXmppArchiveChat Class Reference

The QXmppArchiveChat represents an archived conversation as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

List of all members.

## Public Member Functions

QList< QXmppArchiveMessage > | messages () const
| Returns the conversation's messages.
void | setMessages (const QList< QXmppArchiveMessage > &messages)
| Sets the conversation's messages.
QDateTime | start () const
| Returns the start of this conversation.
void | setStart (const QDateTime &start)
| Sets the start of this conversation.
QString | subject () const
| Returns the conversation's subject.
void | setSubject (const QString &subject)
| Sets the conversation's subject.
QString | thread () const
| Returns the conversation's thread.
void | setThread (const QString &thread)
| Sets the conversation's thread.
int | version () const
| Returns the conversation's version.
void | setVersion (int version)
| Sets the conversation's version.
QString | with () const
| Returns the JID of the remote party.
void | setWith (const QString &with)
| Sets the JID of the remote party.

## Detailed Description

The QXmppArchiveChat represents an archived conversation as defined by XEP-0136: Message Archiving.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp

All Classes Functions Enumerations Enumerator Properties